import axios from "@/utils/request";

export function deviceRepairByUserPage(query) {
  return axios(
    {
      url: "/udi/device/repair/byUser/page",
      method: "POST",
      data: query
    }
  )
}

export function deviceRepairInfo(repairId) {
  return axios(
    {
      url: `/udi/device/repair/info/${repairId}`,
      method: "GET"
    }
  )
}

export function finishRepairByUser(query) {
  return axios(
    {
      url: `/udi/device/repair/finishByUser/repairId`,
      method: "POST",
      data: query
    }
  )
}
